from World import life
import constants

class TestLife(object):
    def setup_method(self, method):
        self.life = life.Life(constants.FULL_LIFE)
    
    def test_life_remaining_should_initially_be_value_passed_in(self):
        quantity = 4
        assert quantity == life.Life(quantity).remaining()
    
    def test_life_remaining_should_decrease_on_hit(self):
        starting_quantity = self.life.remaining()
        self.life.hit()
        assert (starting_quantity - 1) == self.life.remaining()

    def test_life_should_not_be_over_when_life_remaining_is_greater_than_zero(self):
        assert False == life.Life(1).is_over()
  
    def test_life_should_be_over_when_life_remaining_is_zero(self):
        assert True == life.Life(0).is_over()

